package com.tcl.factory.def;

import android.os.SystemProperties;

import com.tcl.deviceinfo.TDeviceInfo;
import com.tcl.factory.thirdparty.ThirdParty;

 
public class ProjectInfo {
private final String SW_DATA="NOV 10 2013";
private final String SIAP_VER="Ver 8.0";
public static   String sn="";
private TDeviceInfo mTDeviceInfo;
//private final String[][] infoDetail={
////1   project name     pannel name
//{"L55E5690A-3D/RT2995", "MT5461D01-1",},//0	
//{"L55E5690A-3D/RT2995", "MT5461D01-1",},//1	
//{"L55E5690A-3D/RT2995", "MT5461D01-1",},//2	  
//{"L55E5690A-3D/RT2995", "MT5461D01-1",},//3	
//{"L55E5690A-3D/RT2995", "MT5461D01-1",},//4
//{"L55E5690A-3D/RT2995", "MT5461D01-1",},//5
//{"L55E5690A-3D/RT2995", "MT5461D01-1",},//6
//{"L55E5690A-3D/RT2995", "MT5461D01-1",},//7
//{"L55E5690A-3D/RT2995", "MT5461D01-1",},//8
//{"L55E5690A-3D/RT2995", "MT5461D01-1",},//9
//{"L55E5690A-3D/RT2995", "MT5461D01-1",},//10
//{"L55E5690A-3D/RT2995", "MT5461D01-1",},//11
//} ;



public ProjectInfo(){
		sn=	ThirdParty.getSNString();//return defaultCommandExecute.readSN();
}
//public int getProjectInfoSize()// 0-1-2-3-4
//{
//	return 4;//infoDetail.length-1;
//}
public String getSoftwareVer(){
	return ThirdParty.getSoftwareVersion();
}
public String getDate(){
//	return SW_DATA;
	String strTempString = "";
	strTempString = SystemProperties.get("ro.build.sw_time");
	if(strTempString.length()<5){
		strTempString = SystemProperties.get("ro.build.date");
	}
	return strTempString; //Jane add 0809
}
public String getSiacp(){
	return SIAP_VER;
}
public String getProductSn(){
	return ThirdParty.getSNString();
}

public String getProjectName(int index){
	return ThirdParty.getModelName();
}
public String getPannelName(){
	return ThirdParty.getPanelName();
}
public String read_RC71S_DongleVesion(){
	return ThirdParty.read_RC71S_DongleVesion();
}
}
